searchData={"items":[{"type":"module","title":"Briefly","doc":"Briefly\n=======\n\nThis is a fork of https://github.com/CargoSense/briefly\n\nSimple, robust temporary file support for Elixir.","ref":"Briefly.html"},{"type":"module","title":"Highlighted Features - Briefly","doc":"* Create temporary files with prefix and extname options\n* Files are removed after the process that requested the file dies\n* File creation is based on [Plug.Upload](http://hexdocs.pm/plug/Plug.Upload.html)'s robust retry logic\n* Configurable; built-in support for system environment variables and fallbacks","ref":"Briefly.html#module-highlighted-features"},{"type":"module","title":"Installation - Briefly","doc":"Add as a dependency to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    briefly: \"~> 0.3\"\n  ]\nend\n```\n\n\nInstall it with `mix deps.get`.","ref":"Briefly.html#module-installation"},{"type":"module","title":"Example - Briefly","doc":"Create a file:\n\n```elixir\n{:ok, path} = Briefly.create\nFile.write!(path, \"Some Text\")\ncontent = File.read!(path)\n# When this process exits, the file at `path` is removed\n```\n\nCreate a directory:\n\n```elixir\n{:ok, path} = Briefly.create(directory: true)\nFile.write!(Path.join(path, \"test.txt\"), \"Some Text\")\n# When this process exits, the directory and file are removed\n```\n\nSee [the documentation](http://hexdocs.pm/briefly/Briefly.html#create/1) to see\nthe options that available to `Briefly.create/1` and `Briefly.create!/1`.","ref":"Briefly.html#module-example"},{"type":"module","title":"Configuration - Briefly","doc":"The default, out-of-the-box settings for Briefly are equivalent to the\nfollowing Mix config:\n\n```elixir\nconfig :briefly,\n  directory: [{:system, \"TMPDIR\"}, {:system, \"TMP\"}, {:system, \"TEMP\"}, \"/tmp\"],\n  default_prefix: \"briefly\",\n  default_extname: \"\"\n  ```\n\n`directory` here declares an ordered list of possible directory definitions that Briefly will check in order.\n\nThe `{:system, env_var}` tuples point to system environment variables to be checked. If none of these are defined, Briefly will use the final entry: `/tmp`.\n\nYou can override the settings with your own candidates in your application Mix\nconfig (and pass `prefix` and `extname` to `Briefly.create` to override\n`default_prefix` and `default_extname` on a case-by-case basis).","ref":"Briefly.html#module-configuration"},{"type":"module","title":"License - Briefly","doc":"See [LICENSE](./LICENSE).","ref":"Briefly.html#module-license"},{"type":"function","title":"Briefly.cleanup/0","doc":"Removes the temporary files and directories created by the current process and\nreturn their paths.","ref":"Briefly.html#cleanup/0"},{"type":"function","title":"Briefly.cleanup/1","doc":"","ref":"Briefly.html#cleanup/1"},{"type":"function","title":"Briefly.create/1","doc":"Requests a temporary file to be created with the given options","ref":"Briefly.html#create/1"},{"type":"function","title":"Briefly.create!/1","doc":"Requests a temporary file to be created with the given options\nand raises on failure","ref":"Briefly.html#create!/1"},{"type":"type","title":"Briefly.create_opts/0","doc":"","ref":"Briefly.html#t:create_opts/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}